org.jboss.logging.processor.model

## Interface MessageObject

All Known Subinterfaces:
  MessageInterface, MessageMethod, MessageObjectType, Parameter, ReturnType, ThrowableType

All Known Implementing Classes:
  ReturnType.VoidReturnType

    public interface MessageObject

A generic interface for returning basic information about parts of a message bundle or message logger interface.

Author:
  James R. Perkins

### Method Summary

Methods
`String` `name()` Returns a name for the object.
`Object` `reference()` The object used to extract information for the message logger or message bundle, if applicable.

### Method Detail

#### name

    String name()

Returns a name for the object.

For an interface or class this will return the qualified class name. For a method this will return the name of the method. For a parameter the name of the parameter will be returned.

Returns:
  the name of the object.

#### reference

    Object reference()

The object used to extract information for the message logger or message bundle, if applicable. The reference is not used for the implementation and is provided for convenience.

For example, in an annotation processor implementation a `ExecutableElement` might be returned.

Returns:
  the reference object used to extract information.